"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toInteger = void 0;
function toInteger(node) {
    if (node.length === 0) {
        return null;
    }
    const value = node.text();
    const number = Number(value);
    if (isNaN(number)) {
        return new Error('Not an integer');
    }
    return number;
}
exports.toInteger = toInteger;
//# sourceMappingURL=integerHelpers.js.map