"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toLink = void 0;
function toLink(node) {
    if (node.length === 0) {
        return null;
    }
    const href = node.attr('href');
    if (!href) {
        return new Error(`element is not a valid link`);
    }
    return { name: node.text(), href };
}
exports.toLink = toLink;
//# sourceMappingURL=linkHelpers.js.map