"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toFile = void 0;
const file_1 = require("@geislabs/file");
function toFile(adapter, path) {
    const link = path.toLink();
    if (link instanceof Error || link === null) {
        return link;
    }
    const pending = file_1.create(adapter, {
        filename: link.name,
        downloadUrl: link.href,
    });
    return pending;
}
exports.toFile = toFile;
//# sourceMappingURL=fileHelpers.js.map