import { FileAdapter } from '@geislabs/file';
import { Cheerio, Node, CheerioAPI } from 'cheerio';
import { HtmlPath } from './htmlTypes';
import { ImageAdapter } from './images/imageAdapter';
export declare type HtmlPathProvideFn = (node?: string | Cheerio<Node>) => HtmlPath;
export interface HtmlConfig {
    file?: FileAdapter;
    image?: ImageAdapter;
    $: CheerioAPI;
    node: Cheerio<Node>;
    provide: HtmlPathProvideFn;
}
//# sourceMappingURL=htmlConfig.d.ts.map