import { PendingFile } from '@geislabs/file';
import { HtmlConfig } from './htmlConfig';
import { HtmlPath } from './htmlTypes';
export declare class HtmlPathImpl implements HtmlPath {
    private config;
    constructor(config: HtmlConfig);
    toString(): string | null;
    toRaw(): string;
    toInteger(): number | Error | null;
    toBoolean(): boolean | Error | null;
    toArray(): HtmlPath[];
    toLink(): import("./link").LinkType | Error | null;
    toFile(): PendingFile | Error | null;
    toImage(): PendingFile;
    get(selector: string): HtmlPath;
    [Symbol.iterator](): Iterator<HtmlPath>;
    valueOf(): string;
}
//# sourceMappingURL=htmlFacade.d.ts.map